Index: /branches/histogram/HeuristicLab 3.3.sln
===================================================================
--- /branches/histogram/HeuristicLab 3.3.sln	(revision 5960)
+++ /branches/histogram/HeuristicLab 3.3.sln	(revision 5961)
@@ -770,4 +894,6 @@
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Debug|x64.ActiveCfg = Debug|x64
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Debug|x64.Build.0 = Debug|x64
@@ -776,4 +902,6 @@
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Release|Mixed Platforms.Build.0 = Release|x64
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Release|x64.ActiveCfg = Release|x64
 		{887425B4-4348-49ED-A457-B7D2C26DDBF9}.Release|x64.Build.0 = Release|x64
@@ -782,4 +910,6 @@
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Debug|x64.ActiveCfg = Debug|x64
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Debug|x64.Build.0 = Debug|x64
@@ -788,4 +918,6 @@
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Release|Mixed Platforms.Build.0 = Release|x64
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Release|x64.ActiveCfg = Release|x64
 		{76945D76-CA61-4147-9DC2-0ACDCDDF87F9}.Release|x64.Build.0 = Release|x64
@@ -794,4 +926,6 @@
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|x64.ActiveCfg = Debug|x64
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|x64.Build.0 = Debug|x64
@@ -800,4 +934,6 @@
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|Mixed Platforms.Build.0 = Release|x86
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|x64.ActiveCfg = Release|x64
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|x64.Build.0 = Release|x64
@@ -806,4 +942,6 @@
 		{25087811-F74C-4128-BC86-8324271DA13E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{25087811-F74C-4128-BC86-8324271DA13E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{25087811-F74C-4128-BC86-8324271DA13E}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{25087811-F74C-4128-BC86-8324271DA13E}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{25087811-F74C-4128-BC86-8324271DA13E}.Debug|x64.ActiveCfg = Debug|x64
 		{25087811-F74C-4128-BC86-8324271DA13E}.Debug|x64.Build.0 = Debug|x64
@@ -812,4 +950,6 @@
 		{25087811-F74C-4128-BC86-8324271DA13E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{25087811-F74C-4128-BC86-8324271DA13E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{25087811-F74C-4128-BC86-8324271DA13E}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{25087811-F74C-4128-BC86-8324271DA13E}.Release|Mixed Platforms.Build.0 = Release|x64
 		{25087811-F74C-4128-BC86-8324271DA13E}.Release|x64.ActiveCfg = Release|x64
 		{25087811-F74C-4128-BC86-8324271DA13E}.Release|x64.Build.0 = Release|x64
@@ -818,4 +958,6 @@
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Debug|x64.ActiveCfg = Debug|x64
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Debug|x64.Build.0 = Debug|x64
@@ -824,4 +966,6 @@
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Release|Mixed Platforms.Build.0 = Release|x64
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Release|x64.ActiveCfg = Release|x64
 		{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}.Release|x64.Build.0 = Release|x64
@@ -830,4 +974,6 @@
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Debug|x64.ActiveCfg = Debug|x64
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Debug|x64.Build.0 = Debug|x64
@@ -836,4 +982,6 @@
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Release|Any CPU.Build.0 = Release|Any CPU
+		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Release|Mixed Platforms.Build.0 = Release|x64
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Release|x64.ActiveCfg = Release|x64
 		{13CA37D6-4111-4E7B-BE2E-AF3DE462D384}.Release|x64.Build.0 = Release|x64
@@ -842,4 +990,6 @@
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Debug|x64.ActiveCfg = Debug|x64
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Debug|x64.Build.0 = Debug|x64
@@ -848,4 +998,6 @@
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Release|Mixed Platforms.Build.0 = Release|x64
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Release|x64.ActiveCfg = Release|x64
 		{BB6D334A-4BB6-4674-9883-31A6EBB32CAB}.Release|x64.Build.0 = Release|x64
@@ -854,4 +1006,6 @@
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Debug|x64.ActiveCfg = Debug|x64
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Debug|x64.Build.0 = Debug|x64
@@ -860,4 +1014,6 @@
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Release|Mixed Platforms.Build.0 = Release|x64
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Release|x64.ActiveCfg = Release|x64
 		{8FA6898D-E4B0-4E08-A6D6-F9F520E7959F}.Release|x64.Build.0 = Release|x64
@@ -866,4 +1022,6 @@
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Debug|x64.ActiveCfg = Debug|x64
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Debug|x64.Build.0 = Debug|x64
@@ -872,4 +1030,6 @@
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Release|Any CPU.Build.0 = Release|Any CPU
+		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Release|Mixed Platforms.Build.0 = Release|x86
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Release|x64.ActiveCfg = Release|x64
 		{DDFB14DD-2A85-493C-A52D-E69729BBAEB0}.Release|x64.Build.0 = Release|x64
@@ -878,4 +1038,6 @@
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Debug|x64.ActiveCfg = Debug|x64
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Debug|x64.Build.0 = Debug|x64
@@ -884,4 +1046,6 @@
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Release|Mixed Platforms.Build.0 = Release|x86
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Release|x64.ActiveCfg = Release|x64
 		{6F18ED66-2333-4B5C-B882-AC99FB3CDCE5}.Release|x64.Build.0 = Release|x64
@@ -890,4 +1054,6 @@
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Debug|x64.ActiveCfg = Debug|x64
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Debug|x64.Build.0 = Debug|x64
@@ -896,4 +1062,6 @@
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Release|Any CPU.Build.0 = Release|Any CPU
+		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Release|Mixed Platforms.Build.0 = Release|x86
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Release|x64.ActiveCfg = Release|x64
 		{66D249C3-A01D-42A8-82A2-919BC8EC3D83}.Release|x64.Build.0 = Release|x64
@@ -902,4 +1070,6 @@
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Debug|x64.ActiveCfg = Debug|x64
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Debug|x64.Build.0 = Debug|x64
@@ -908,4 +1078,6 @@
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Release|Any CPU.Build.0 = Release|Any CPU
+		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Release|Mixed Platforms.Build.0 = Release|x86
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Release|x64.ActiveCfg = Release|x64
 		{30D6606B-96E7-436C-B5D7-EA1455848E37}.Release|x64.Build.0 = Release|x64
@@ -914,4 +1086,6 @@
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x64.ActiveCfg = Debug|x64
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Debug|x64.Build.0 = Debug|x64
@@ -920,4 +1094,6 @@
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|Any CPU.Build.0 = Release|Any CPU
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|Mixed Platforms.Build.0 = Release|x64
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x64.ActiveCfg = Release|x64
 		{F62BCD22-FB83-4444-9401-8031C2487A86}.Release|x64.Build.0 = Release|x64
@@ -926,4 +1102,6 @@
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x64.ActiveCfg = Debug|x64
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Debug|x64.Build.0 = Debug|x64
@@ -932,4 +1110,6 @@
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|Mixed Platforms.Build.0 = Release|x64
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x64.ActiveCfg = Release|x64
 		{E10F395F-C8A6-48AD-B470-9AA7A1F43809}.Release|x64.Build.0 = Release|x64
@@ -938,4 +1118,6 @@
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x64.ActiveCfg = Debug|x64
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Debug|x64.Build.0 = Debug|x64
@@ -944,4 +1126,6 @@
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|Mixed Platforms.Build.0 = Release|x86
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x64.ActiveCfg = Release|x64
 		{A9EE65D9-405B-4C9C-B470-FC911AAC541B}.Release|x64.Build.0 = Release|x64
@@ -950,4 +1134,6 @@
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Debug|x64.ActiveCfg = Debug|x64
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Debug|x64.Build.0 = Debug|x64
@@ -956,4 +1142,6 @@
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Release|Any CPU.Build.0 = Release|Any CPU
+		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Release|Mixed Platforms.Build.0 = Release|x86
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Release|x64.ActiveCfg = Release|x64
 		{96E5ED5B-187D-4012-9CDA-D85CDAD38342}.Release|x64.Build.0 = Release|x64
@@ -962,4 +1150,6 @@
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Debug|x64.ActiveCfg = Debug|x64
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Debug|x64.Build.0 = Debug|x64
@@ -968,4 +1158,6 @@
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Release|Mixed Platforms.Build.0 = Release|x86
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Release|x64.ActiveCfg = Release|x64
 		{D58A232D-04BA-4186-B73E-0EC86FD31ABE}.Release|x64.Build.0 = Release|x64
@@ -974,4 +1166,6 @@
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|x64.ActiveCfg = Debug|x64
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Debug|x64.Build.0 = Debug|x64
@@ -980,4 +1174,6 @@
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|Mixed Platforms.Build.0 = Release|x86
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x64.ActiveCfg = Release|x64
 		{4AE3FC69-C575-42D2-BC46-0FAD5850EFC5}.Release|x64.Build.0 = Release|x64
@@ -986,4 +1182,6 @@
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Debug|x64.ActiveCfg = Debug|x64
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Debug|x64.Build.0 = Debug|x64
@@ -992,4 +1190,6 @@
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Release|Mixed Platforms.Build.0 = Release|x64
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Release|x64.ActiveCfg = Release|x64
 		{E0B45023-CB84-48A1-A1B7-8295B64B7BAD}.Release|x64.Build.0 = Release|x64
@@ -998,4 +1198,6 @@
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Debug|x64.ActiveCfg = Debug|x64
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Debug|x64.Build.0 = Debug|x64
@@ -1004,4 +1206,6 @@
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Release|Mixed Platforms.Build.0 = Release|x64
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Release|x64.ActiveCfg = Release|x64
 		{D767C38D-8014-46B0-9A32-03A3AECCE34A}.Release|x64.Build.0 = Release|x64
@@ -1010,4 +1214,6 @@
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Debug|x64.ActiveCfg = Debug|x64
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Debug|x64.Build.0 = Debug|x64
@@ -1016,4 +1222,6 @@
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Release|Any CPU.Build.0 = Release|Any CPU
+		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Release|Mixed Platforms.Build.0 = Release|x64
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Release|x64.ActiveCfg = Release|x64
 		{CDA28124-ACD0-4231-8EB0-C510B361F84E}.Release|x64.Build.0 = Release|x64
@@ -1022,4 +1230,6 @@
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Debug|x64.ActiveCfg = Debug|x64
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Debug|x64.Build.0 = Debug|x64
@@ -1028,4 +1238,6 @@
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Release|Mixed Platforms.Build.0 = Release|x86
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Release|x64.ActiveCfg = Release|x64
 		{88B9B0E3-344E-4196-82A3-0F9732506FE8}.Release|x64.Build.0 = Release|x64
@@ -1034,4 +1246,6 @@
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Debug|x64.ActiveCfg = Debug|x64
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Debug|x64.Build.0 = Debug|x64
@@ -1040,4 +1254,6 @@
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Release|Mixed Platforms.Build.0 = Release|x86
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Release|x64.ActiveCfg = Release|x64
 		{6AE0E1F5-D3FF-43A3-90E1-2435E7493FB5}.Release|x64.Build.0 = Release|x64
@@ -1046,4 +1262,6 @@
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Debug|Mixed Platforms.ActiveCfg = Debug|x64
+		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Debug|Mixed Platforms.Build.0 = Debug|x64
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Debug|x64.ActiveCfg = Debug|x64
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Debug|x64.Build.0 = Debug|x64
@@ -1052,4 +1270,6 @@
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Release|Mixed Platforms.ActiveCfg = Release|x64
+		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Release|Mixed Platforms.Build.0 = Release|x64
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Release|x64.ActiveCfg = Release|x64
 		{A51DA44F-CB35-4F6F-99F5-2A2E904AB93B}.Release|x64.Build.0 = Release|x64
@@ -1058,4 +1278,6 @@
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{125D3006-67F5-48CB-913E-73C0548F17FA}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{125D3006-67F5-48CB-913E-73C0548F17FA}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Debug|x64.ActiveCfg = Debug|x64
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Debug|x64.Build.0 = Debug|x64
@@ -1064,4 +1286,6 @@
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{125D3006-67F5-48CB-913E-73C0548F17FA}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{125D3006-67F5-48CB-913E-73C0548F17FA}.Release|Mixed Platforms.Build.0 = Release|x86
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Release|x64.ActiveCfg = Release|x64
 		{125D3006-67F5-48CB-913E-73C0548F17FA}.Release|x64.Build.0 = Release|x64
@@ -1070,4 +1294,6 @@
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Debug|x64.ActiveCfg = Debug|x64
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Debug|x64.Build.0 = Debug|x64
@@ -1076,4 +1302,6 @@
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Release|Any CPU.Build.0 = Release|Any CPU
+		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Release|Mixed Platforms.Build.0 = Release|x86
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Release|x64.ActiveCfg = Release|x64
 		{F5C0ECAC-EDBA-4024-872A-1F74AFCB20B4}.Release|x64.Build.0 = Release|x64
@@ -1082,4 +1310,6 @@
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Debug|x64.ActiveCfg = Debug|x64
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Debug|x64.Build.0 = Debug|x64
@@ -1088,4 +1318,6 @@
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Release|Mixed Platforms.Build.0 = Release|x86
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Release|x64.ActiveCfg = Release|x64
 		{30DD3DA2-CA57-49DD-A5BA-50CEF19DB45F}.Release|x64.Build.0 = Release|x64
@@ -1094,4 +1326,6 @@
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Debug|x64.ActiveCfg = Debug|x64
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Debug|x64.Build.0 = Debug|x64
@@ -1100,4 +1334,6 @@
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Release|Mixed Platforms.Build.0 = Release|x86
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Release|x64.ActiveCfg = Release|x64
 		{6F42C5F8-16CD-43EE-8208-FD4573A69D85}.Release|x64.Build.0 = Release|x64
@@ -1106,4 +1342,6 @@
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Debug|x64.ActiveCfg = Debug|x64
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Debug|x64.Build.0 = Debug|x64
@@ -1112,4 +1350,6 @@
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Release|Mixed Platforms.Build.0 = Release|x86
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Release|x64.ActiveCfg = Release|x64
 		{70DFD984-B1D9-46FE-8EB7-4DE92D71A9FC}.Release|x64.Build.0 = Release|x64
@@ -1118,4 +1358,6 @@
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Debug|x64.ActiveCfg = Debug|x64
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Debug|x64.Build.0 = Debug|x64
@@ -1124,4 +1366,6 @@
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Release|Mixed Platforms.Build.0 = Release|x86
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Release|x64.ActiveCfg = Release|x64
 		{BDF86B1D-630E-4CE2-8A49-8C90B1BDE4C9}.Release|x64.Build.0 = Release|x64
@@ -1130,4 +1374,6 @@
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{8824925E-3E00-4543-8293-7DDACE4737F8}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
+		{8824925E-3E00-4543-8293-7DDACE4737F8}.Debug|Mixed Platforms.Build.0 = Debug|x86
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Debug|x64.ActiveCfg = Debug|x64
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Debug|x64.Build.0 = Debug|x64
@@ -1136,4 +1382,6 @@
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|Mixed Platforms.ActiveCfg = Release|x86
+		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|Mixed Platforms.Build.0 = Release|x86
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|x64.ActiveCfg = Release|x64
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|x64.Build.0 = Release|x64
